apiVersion: v1
kind: Service
metadata:
  annotations:
    cloud.google.com/neg: '{"ingress":true}'
  finalizers:
  - service.kubernetes.io/load-balancer-cleanup
  name: lottery-management-ingress
  namespace: develop
spec:
  allocateLoadBalancerNodePorts: true
  clusterIP: 10.22.16.156
  clusterIPs:
  - 10.22.16.156
  externalTrafficPolicy: Cluster
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - nodePort: 30783
    port: 80
    protocol: TCP
    targetPort: 8080
  selector:
    component: lottery-management-mcs
  sessionAffinity: None
  type: LoadBalancer
status:
  loadBalancer:
    ingress:
    - ip: 146.148.21.236
